seekableStream Class Referenceabstract

`#include <seekablestream.h>`

Inheritance diagram for seekableStream:

## Public Member Functions

| seekableStream (unsigned int size)
virtual bool | checkPermissions (char mode)
unsigned int | getSize ()
void | setSize (unsigned int size)
virtual unsigned int | seek (unsigned int _pos=0)=0
virtual int | open (String _filename, char mode)=0
virtual void | close ()=0
virtual uint16_t | getContentType ()
virtual void | putEOF ()

## Protected Attributes

unsigned int | streamSize
bool | textMode
uint16_t | contentType

## Constructor & Destructor Documentation

## seekableStream()

seekableStream::seekableStream | ( | unsigned int | size | ) |

inline

## Member Function Documentation

## checkPermissions()

virtual bool seekableStream::checkPermissions | ( | char | mode | ) |

inlinevirtual

## close()

virtual void seekableStream::close | ( |  | ) |

pure virtual

Implemented in flashStream.

## getContentType()

virtual uint16_t seekableStream::getContentType | ( |  | ) |

inlinevirtual

## getSize()

unsigned int seekableStream::getSize | ( |  | ) |

inline

## open()

virtual int seekableStream::open | ( | String | _filename,
|  | char | mode
| ) |  |

pure virtual

Implemented in flashStream.

## putEOF()

virtual void seekableStream::putEOF | ( |  | ) |

inlinevirtual

## seek()

virtual unsigned int seekableStream::seek | ( | unsigned int | _pos = `0` | ) |

pure virtual

Implemented in flashStream.

## setSize()

void seekableStream::setSize | ( | unsigned int | size | ) |

inline

## Member Data Documentation

## contentType

uint16_t seekableStream::contentType

protected

## streamSize

unsigned int seekableStream::streamSize

protected

## textMode

bool seekableStream::textMode

protected

The documentation for this class was generated from the following file:

- seekablestream.h